org.apache.cassandra.db

## Class DiskBoundaries

- java.lang.Object
- - org.apache.cassandra.db.DiskBoundaries

    public class DiskBoundaries
    extends java.lang.Object

### Field Summary

Fields
`java.util.List<Directories.DataDirectory>` `directories`
`com.google.common.collect.ImmutableList<PartitionPosition>` `positions`

### Constructor Summary

Constructors
Constructor and Description
`DiskBoundaries(Directories.DataDirectory[] directories, int diskVersion)`
`DiskBoundaries(Directories.DataDirectory[] directories, java.util.List<PartitionPosition> positions, long ringVersion, int diskVersion)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`Directories.DataDirectory` `getCorrectDiskForSSTable(SSTableReader sstable)`
`int` `getDiskIndex(SSTableReader sstable)`
`int` `hashCode()`
`void` `invalidate()`
`boolean` `isOutOfDate()` check if the given disk boundaries are out of date due not being set or to having too old diskVersion/ringVersion
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### directories

    public final java.util.List<Directories.DataDirectory> directories

#### positions

    public final com.google.common.collect.ImmutableList<PartitionPosition> positions

### Constructor Detail

#### DiskBoundaries

    public DiskBoundaries(Directories.DataDirectory[] directories,
                          int diskVersion)

#### DiskBoundaries

    public DiskBoundaries(Directories.DataDirectory[] directories,
                          java.util.List<PartitionPosition> positions,
                          long ringVersion,
                          int diskVersion)

### Method Detail

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### isOutOfDate

    public boolean isOutOfDate()

check if the given disk boundaries are out of date due not being set or to having too old diskVersion/ringVersion

#### invalidate

    public void invalidate()

#### getDiskIndex

    public int getDiskIndex(SSTableReader sstable)

#### getCorrectDiskForSSTable

    public Directories.DataDirectory getCorrectDiskForSSTable(SSTableReader sstable)